%global debug_package     %{nil}
%global image_dir         bin/istio_images
%global istio_version 1.1.7
%global istio_release 1.0.2

Name:               istio-container-images
Version:            %{istio_version}
Release:            %{istio_release}%{?dist}
Summary:            Istio(Connect, secure, control, and observe services) docker images
License:            UPL
Source:             %{name}-%{version}.tar.bz2
ExclusiveArch:      x86_64
Vendor:             Oracle America
BuildRequires:      docker-engine >= 18.09.1
BuildRequires:      rpm >= 4.11.3
BuildRequires:      ca-certificates

%prep
%setup -n %{name}-%{version}

%description
Istio is an open platform for providing a uniform way to integrate microservices,
manage traffic flow across microservices, enforce policies and aggregate telemetry data.
Istio's control plane provides an abstraction layer over the underlying cluster management platform, such as Kubernetes, Mesos, etc.


%build
./build-istio-container-images.sh --image-dir %{image_dir} --release-version %{istio_release} --istio-version %{istio_version}

%install
install -m 755 -d %{buildroot}/usr/local/share/istio
install -p -m 755 -t %{buildroot}/usr/local/share/istio %{image_dir}/citadel.tar
install -p -m 755 -t %{buildroot}/usr/local/share/istio %{image_dir}/mixer.tar
install -p -m 755 -t %{buildroot}/usr/local/share/istio %{image_dir}/sidecar_injector.tar
install -p -m 755 -t %{buildroot}/usr/local/share/istio %{image_dir}/pilot.tar
install -p -m 755 -t %{buildroot}/usr/local/share/istio %{image_dir}/galley.tar
install -p -m 755 -t %{buildroot}/usr/local/share/istio %{image_dir}/proxyv2.tar
install -p -m 755 -t %{buildroot}/usr/local/share/istio %{image_dir}/proxy_init.tar
install -p -m 755 -t %{buildroot}/usr/local/share/istio %{image_dir}/istio_kubectl.tar



%files
%license ./common-istio/LICENSE
/usr/local/share/istio/citadel.tar
/usr/local/share/istio/mixer.tar
/usr/local/share/istio/sidecar_injector.tar
/usr/local/share/istio/pilot.tar
/usr/local/share/istio/galley.tar
/usr/local/share/istio/proxyv2.tar
/usr/local/share/istio/proxy_init.tar
/usr/local/share/istio/istio_kubectl.tar

%clean

%changelog
* Tue Jun 11 2019 Tom Cocozzello <tom.cocozzello@oracle.com> - 1.1.7-1.0.2
- Update default registry

* Tue Jun 04 2019 Tom Cocozzello <tom.cocozzello@oracle.com> - 1.1.7-1.0.1
- Update release to 1.1.7

* Tue May 21 2019 James McCarthy <james.m.mccarthy@oracle.com> - 1.1.1-1.0.1
- Added Oracle Specific Build Files for istio/istio-container-images

* Wed Apr 03 2019 Muminul Islam <muminul.islam@oracle.com> - 1.1.0-1.0.10
- Match istio version

* Wed Mar 27 2019 Muminul Islam <muminul.islam@oracle.com> - 1.1.0-1.0.17
- Refactor yum repo

* Mon Mar 25 2019 Tom Cocozzello <tom.cocozzello@oracle.com> - 1.1.0-1.0.16
- Base certificates off our ca-certificates

* Mon Mar 25 2019 Tom Cocozzello <tom.cocozzello@oracle.com> - 1.1.0-1.0.15
- Base all images off of oraclelinux:7-slim

* Wed Mar 20 2019 Muminul Islam <muminul.islam@oracle.com> - 1.1.0-1.0.14
- Change version for production build

* Tue Mar 19 2019 Muminul Islam <muminul.islam@oracle.com> - 1.1.0-1.0.13
- Change istio version to LTS 1.1.0

* Mon Mar 18 2019 Thomas Tanaka <thomas.tanaka@oracle.com> - 1.1.0-1.0.12
- Use ol7-slim for base image of proxy

* Thu Mar 14 2019 Tom Cocozzello <tom.cocozzello@oracle.com> 1.1.0-1.0.11
- Add istio kubectl image

* Thu Mar 14 2019 Muminul Islam <muminul.islam@oracle.com> 1.1.0-1.0.10
- Add proxy-init container

* Thu Mar 14 2019 Muminul Islam <muminul.islam@oracle.com> 1.1.0-1.0.9
- Rename image tags

* Thu Mar 14 2019 Tom Cocozzello <tom.cocozzello@oracle.com> 1.1.0-1.0.8
- Add istio-proxy to the docker image build

* Thu Mar 14 2019 Ivin Sony <ivin.sony@oracle.com> 1.1.0-1.0.7
- Add galley and pilot-discovery to the docker image build

* Wed Mar 13 2019 Thomas Tanaka <thomas.tanaka@oracle.com> - 1.1.0-1.0.6
- Add prometheus to the docker image build

* Wed Mar 13 2019 Muminul Islam <muminul.islam@oracle.com> 1.1.0-1.0.5
- Add image tags and rename components

* Tue Mar 12 2019 Tom Cocozzello <tom.cocozzello@oracle.com> 1.1.0-1.0.4
- Add istio-sidecar-injector to the docker image build

* Tue Mar 12 2019 Muminul Islam <muminul.islam@oracle.com> 1.1.0-1.0.3
- Add istio-mixs to the docker image build

* Mon Mar 11 2019 Tom Cocozzello <tom.cocozzello@oracle.com> 1.1.0-1.0.2
- Add istio-citadel to the docker image build

* Tue Feb 26 2019 Muminul Islam <muminul.islam@oracle.com> 1.1.0-1.0.1
- Add grafana to docker image build
